%define ver     2.1.1

Summary: LSB Build environment lsbcc package
Name: lsb-build-cc
Version: %ver
Release: 1
Copyright: LGPL
Group: Development/Tools
Source: lsb-build-cc-%ver.tar.gz
BuildRoot: /var/tmp/lsb-build-cc-root
AutoReqProv: no
# Does not strictly require lsb
#PreReq: lsb-core-%{_arch} >= 2.0
Requires: lsb-build-base
Obsoletes: lsbdev-cc

%description

This package provides lsbcc, which is one of the approaches that can be used
to build LSB conforming applications.

%prep
%setup -q

%build
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-cc
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-cc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb

%changelog
* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Initial package

